import { TimeDomainData, RMSSpeedData, AccPeakData, FreqData } from "../Types";
import { Sensor } from "./Sensor";
export declare class VelocitySensor extends Sensor {
    private types;
    private statuses;
    private MAX_VALUE;
    private getRandomStatus;
    constructor(devAddr?: string, mcuId?: string);
    private getTimeDomainDataInfo;
    private getRMSSpeedStatus;
    private getAccPeakStatus;
    private getFreqData;
    getData(delay?: number): Promise<(TimeDomainData | RMSSpeedData | AccPeakData | FreqData)[]>;
}
